X2Go Bug report logs - #531
Build of PyHoca-GUI requires python-requests module

Package: wiki.x2go.org; Maintainer for wiki.x2go.org is x2go-dev@lists.x2go.org;

Reported by: Michael DePaulo <mikedep333@gmail.com>

Date: Sat, 5 Jul 2014 02:40:01 UTC

Severity: normal

Done: Michael DePaulo <mikedep333@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#531; Package pyhoca-gui. (Sat, 05 Jul 2014 02:40:01 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 05 Jul 2014 02:40:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: submit@bugs.x2go.org
Subject: pyhoca-gui: Error building on Windows when running: python setup.py build_exe
Date: Fri, 4 Jul 2014 22:36:17 -0400
[Message part 1 (text/plain, inline)]
Package: pyhoca-gui
Version: 5.0.0.0-preview

I followed the pyhoca-gui build instructions simultaneously on both
the X2Go-WinBuilder VM, and my home desktop (excutor.) The former is
Windows 7 64-bit SP1, the latter is WIndows 8.1 64-bit with update 1.
They both get the same error.

I also tried building under both Msysgit bash and under cmd.exe

Instructions (it's the very last step that fails.)
http://wiki.x2go.org/doku.php/wiki:development:build-howto-mswin:pyhoca-gui

setup common to both machines:
Python 2.7.8 32-bit (Released 3 days a go)
bbfreeze-1.1.3-py2.7.egg
bbfreeze_loader-1.1.0-py2.7-win32.egg
py2exe-0.6.9.win32-py2.7
Msysgit (AKA "Git for Windows") 1.9.4-preview20140611
(In other words, I have both bbfreeze and py2exe installed.)

I've attached the output because I do not want its 80+ character long
lines to be split up.
[python setup.py build_exe output.txt (text/plain, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#531; Package pyhoca-gui. (Sat, 05 Jul 2014 22:10:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 05 Jul 2014 22:10:02 GMT) (full text, mbox, link).


Message #10 received at 531@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Michael DePaulo <mikedep333@gmail.com>, 531@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#531: pyhoca-gui: Error building on Windows when running: python setup.py build_exe
Date: Sat, 05 Jul 2014 22:08:31 +0000
[Message part 1 (text/plain, inline)]
Control: reassign -1 wiki.x2go.org
Control: retitle -1 Build of PyHoca-GUI requires python-requests module

Hi Michael,

On  Sa 05 Jul 2014 04:36:17 CEST, Michael DePaulo wrote:

> Package: pyhoca-gui
> Version: 5.0.0.0-preview
>
> I followed the pyhoca-gui build instructions simultaneously on both
> the X2Go-WinBuilder VM, and my home desktop (excutor.) The former is
> Windows 7 64-bit SP1, the latter is WIndows 8.1 64-bit with update 1.
> They both get the same error.
>
> I also tried building under both Msysgit bash and under cmd.exe
>
> Instructions (it's the very last step that fails.)
> http://wiki.x2go.org/doku.php/wiki:development:build-howto-mswin:pyhoca-gui
>
> setup common to both machines:
> Python 2.7.8 32-bit (Released 3 days a go)
> bbfreeze-1.1.3-py2.7.egg
> bbfreeze_loader-1.1.0-py2.7-win32.egg
> py2exe-0.6.9.win32-py2.7
> Msysgit (AKA "Git for Windows") 1.9.4-preview20140611
> (In other words, I have both bbfreeze and py2exe installed.)
>
> I've attached the output because I do not want its 80+ character long
> lines to be split up.

With 0.5.0.0 I added X2Go Session Broker (client) support. This part  
of Python X2Go uses the requests module. This needs to be installed in  
the build env.

This surely is a lack of documentation on wiki.x2go.org.

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package 'pyhoca-gui' to 'wiki.x2go.org'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 531-submit@bugs.x2go.org. (Sat, 05 Jul 2014 22:10:03 GMT) (full text, mbox, link).


No longer marked as found in versions 5.0.0.0-preview. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 531-submit@bugs.x2go.org. (Sat, 05 Jul 2014 22:10:03 GMT) (full text, mbox, link).


Changed Bug title to 'Build of PyHoca-GUI requires python-requests module' from 'pyhoca-gui: Error building on Windows when running: python setup.py build_exe' Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 531-submit@bugs.x2go.org. (Sat, 05 Jul 2014 22:10:03 GMT) (full text, mbox, link).


Reply sent to Michael DePaulo <mikedep333@gmail.com>:
You have taken responsibility. (Sun, 06 Jul 2014 19:40:02 GMT) (full text, mbox, link).


Notification sent to Michael DePaulo <mikedep333@gmail.com>:
Bug acknowledged by developer. (Sun, 06 Jul 2014 19:40:02 GMT) (full text, mbox, link).


Message #21 received at 531-done@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 531-done@bugs.x2go.org
Subject: fixed 531 with a wiki update
Date: Sun, 6 Jul 2014 15:38:05 -0400
Thanks, I can confirm that adding python-requests fixes this bug.

I updated the wiki with instructions a few hours ago:
wiki:development:build-howto-mswin:pyhoca-gui – [Downloading Software
Packages] add python-requests (Fixes: #531) mikedep333 (current)


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Mon, 04 Aug 2014 05:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Aug 18 15:41:33 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.